Bug 62398 - IndexedDB: indexedDB.open() name argument is required
Summary: IndexedDB: indexedDB.open() name argument is required
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-09 13:32 PDT by Mark Pilgrim (Google)
Modified: 2011-06-15 10:24 PDT (History)
5 users (show)

See Also:


Attachments
test case (1.54 KB, text/html)
2011-06-09 13:32 PDT, Mark Pilgrim (Google)
no flags Details
Patch (4.57 KB, patch)
2011-06-10 11:20 PDT, Mark Pilgrim (Google)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Pilgrim (Google) 2011-06-09 13:32:03 PDT
Created attachment 96629 [details]
test case

http://dvcs.w3.org/hg/IndexedDB/raw-file/tip/Overview.html#widl-IDBFactory-open-IDBRequest-DOMString-name states that the name argument to open() (for opening a database) is not optional and can not be null. This test opens a database without supplying a name argument.

Expected behavior: throws IDBDatabaseException.NON_TRANSIENT_ERR
Actual behavior: opens a database whose name is the 9-letter string "undefined"

Test case attached.
Comment 1 Mark Pilgrim (Google) 2011-06-10 11:20:22 PDT
Created attachment 96763 [details]
Patch
Comment 2 David Grogan 2011-06-10 13:57:09 PDT
LGTM
Comment 3 WebKit Review Bot 2011-06-10 14:42:40 PDT
Comment on attachment 96763 [details]
Patch

Clearing flags on attachment: 96763

Committed r88569: <http://trac.webkit.org/changeset/88569>
Comment 4 WebKit Review Bot 2011-06-10 14:42:44 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Dimitri Glazkov (Google) 2011-06-11 13:22:03 PDT
Reverted r88569 for reason:

Broke Chromium browser test: IndexedDBBrowserTestWithGCExposed.DatabaseCallbacksTest

Committed r88606: <http://trac.webkit.org/changeset/88606>
Comment 6 Dimitri Glazkov (Google) 2011-06-11 13:23:05 PDT
(In reply to comment #5)
> Reverted r88569 for reason:
> 
> Broke Chromium browser test: IndexedDBBrowserTestWithGCExposed.DatabaseCallbacksTest
> 
> Committed r88606: <http://trac.webkit.org/changeset/88606>

That's the one.
Comment 7 Dimitri Glazkov (Google) 2011-06-11 13:24:37 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > Reverted r88569 for reason:
> > 
> > Broke Chromium browser test: IndexedDBBrowserTestWithGCExposed.DatabaseCallbacksTest
> > 
> > Committed r88606: <http://trac.webkit.org/changeset/88606>
> 
> That's the one.

There's the test: http://codesearch.google.com/codesearch#OAMlx_jo-ck/src/chrome/test/data/indexeddb/database_callbacks_first.html&exact_package=chromium&q=database_callbacks_first.html&type=cs
Comment 8 Hans Wennborg 2011-06-15 02:16:31 PDT
Fixed the Chromium browser test: http://src.chromium.org/viewvc/chrome?view=rev&revision=89152

We should be able to re-land this now.
Comment 9 WebKit Review Bot 2011-06-15 10:24:43 PDT
Comment on attachment 96763 [details]
Patch

Clearing flags on attachment: 96763

Committed r88954: <http://trac.webkit.org/changeset/88954>
Comment 10 WebKit Review Bot 2011-06-15 10:24:47 PDT
All reviewed patches have been landed.  Closing bug.